Copyright: Copyright 2000 Seagate Software


Licensing

Crystal Reports is an extensive product that may be used in many ways to deliver a wide range of data reporting and analysis needs. For existing users of Crystal Reports Professional or Developer (any version earlier than Version 8), please note that your range of rights for report design as well as for runtime distribution of client applications have not changed.  The new licensing changes in free runtime are focused primarily on features and power not previously available prior to Version 8.  Areas of change include runtime report creation and the ability to create and distribute server and web-based reporting applications.  Please refer to the license agreement for information on your licensing rights and for details on redistribution, competitive products, and report distribution systems.

Click on a link below for more information:

•	License Agreement

•	License Manager

•	Runtime Software - Distribution and Deployment Rights

•	Crystal Broadcast Licensing

(Note: Crystal Broadcast Licensing is also known as Enterprise Broadcast Licensing.)


License Agreement

CRYSTAL REPORTS 8.5 DEVELOPER EDITION

-IMPORTANT-Read This Carefully Before Installing the Software. THIS IS A LEGAL AGREEMENT BETWEEN YOU AND CRYSTAL DECISIONS, INC (Crystal) – formerly Seagate Software Information Management Group, Holdings, Inc. ("Seagate").   BEFORE CONTINUING WITH THE INSTALLATION OF THE PROGRAM, YOU MUST READ, ACKNOWLEDGE AND ACCEPT THE TERMS AND CONDITIONS OF THE SOFTWARE LICENSE AGREEMENT THAT FOLLOWS. THE SOFTWARE LICENSE AGREEMENT MAY ALSO BE FOUND IN THE WRITTEN MATERIALS INCLUDED WITH THE SOFTWARE MEDIA. WHEN PROMPTED, PLEASE INDICATE WHETHER YOU ACCEPT OR DO NOT ACCEPT.  IF YOU DO NOT ACCEPT THE TERMS AND CONDITIONS OF THE SOFTWARE LICENSE, YOU MAY RETURN, WITHIN THIRTY (30) DAYS OF PURCHASE, THE MEDIA PACKAGE AND ALL ACCOMPANYING ITEMS (INCLUDING WRITTEN MATERIALS AND BINDERS OR OTHER CONTAINERS), TO THE PLACE YOU OBTAINED THEM FOR A FULL REFUND; OR YOU MAY WRITE, CRYSTAL WARRANTIES, P.O. BOX 67427, SCOTTS VALLEY, CA 95067, U.S.A.

1	INTRODUCTION

Crystal Reports is an extensive product that may be used in many ways to deliver a wide range of data reporting and analysis needs, including end user report design, application development and runtime reporting, server application creation, report server deployment, web reporting and enterprise report distribution. This license agreement details the terms under which the various parts of the product may be used to meet those needs. Not all users will immediately take advantage of all Crystal Reports features and licensing options, so remember to review this agreement again before undertaking new projects.

If you have any questions regarding this licensing or the product please visit www.crystaldecisions.net/crystalreports or contact the Crystal office nearest you.

2	DEFINITIONS

2.1	"Access" means connected to a Server/Web-based Application either directly or indirectly through any middle tier applications.

2.2	"Access License" means the limited license for end users to Access a Server/Web-based Application.

2.3	"Client Application" means a purpose-specific software program that utilizes the Runtime Software and is installed fully on a single end user’s machine, with all report processing local to that single machine.  Software programs consisting of more than one related module(s) or components shall be considered one Client Application.

2.4	"Concurrent User(s)" means one or more individuals Accessing a Server/Web-based Application at the same time.

2.5	"Deployment" or "Deploy" means installing into production Client Applications and/or Server/Web-based Applications on one or more computers internally within your company or organization for use by one or more end users.

2.6	"Design Tools" means the following executable software files:  Crystal Reports (crw32.exe), Crystal Dictionaries (crd32.exe), Crystal SQL Designer (cqw32.exe), or use of the Report Designer Designer Component (RDC) in Microsoft® Visual Basic®, which are the Report design applications licensed to end users of the product, as more fully described below in Section 4.1.

2.7	"Distribution" or "Distribute" means selling, leasing, and/or redistributing Client Applications and/or Server/Web-based Applications on a commercial basis to third party end users external to your company, organizations or corporate entity.

2.8	"Report" means any work or document created using a Crystal software product, regardless of resulting file format.

2.9	"Report Distribution System" means any process or system or combination of processes or systems that is or are used to automatically and/or regularly deliver, share or distribute Reports, without providing any Access to a Server/Web-based Application:   (a) to greater than fifty (50) end users directly, or (b) to a location that is accessible to greater than fifty (50) end users, who are reasonably likely to view or use the Reports.  A Report Distribution System shall not include:  (a) distribution of Reports in hard copy form; (b) manual distribution on a one-time or ad hoc basis; or (c) distribution of Client Applications created using the Royalty Free Runtime Software.  For purposes of calculating the number of end users, you do not need to include any end user who otherwise has a valid license to use the Software or any of Crystal’s other products (other than any product offered free of charge).

2.10	"Royalty Free Runtime Software" means: files and specific limitations listed in the Royalty Free Runtime Files section of the "license.hlp", provided with the Software, individually, collectively or in any combination.

2.11	"Royalty Required Runtime Software" means files and specific limitations listed in the Royalty Required Runtime Files section of the "license.hlp", provided with the Software, individually, collectively or in any combination.

2.12	"Royalty Required Runtime Software License" means the limited license for use of the Royalty Required Runtime Software by an individual.

2.13	"Runtime Software" means the files listed in the Runtime Software section of the license.hlp and are either Royalty Free Runtime Software or Royalty Required Runtime Software.  The use of these files is more fully described in Section 4.2 below and in the license.hlp.

2.14	"Server/Web-based Application" means a purpose-specific software program that utilizes the Runtime Software and allows multiple users to Access the Runtime Software.  Software programs consisting of more than one related module(s) or components shall be considered one Server/Web-based Application.

2.15	"Server Environment" is defined as any server system, licensed from Crystal or any other entity, that consists of one or more server software processes, operating independently or otherwise, including but not limited to report servers, web servers, database servers, terminal servers, mail servers, application servers or transaction servers, facilitated by an internet, intranet, "xtranet", client/server network, wide-area network, or any other multi-user network.

2.16	"Software" means the software provided on your software media in object code form and associated documentation, any updates, additional modules, or additional software provided by Crystal in connection therewith; it includes both Design Tools and Runtime Software, but shall not include any promotional software or other software product provided in the same package, which shall be governed by the online software license agreements included with such promotional software or software product.

3	GRANT OF LICENSE.  Crystal Decisions, Inc. ("Crystal") grants you a nonexclusive and limited license to use the Crystal Reports Developer Software accompanying this License Agreement, solely in accordance with the terms and conditions of this License Agreement.  The Software is licensed, not sold, to you.

4	INSTALLATION AND USE.

4.1.	Use of the Designer Tools.  The Designer Tools are licensed to you in one of five potential configurations:  (1) Single User License (2) Multiple User License (3) Upgrade License (4) Evaluation/Not for Resale License or (5) OEM License.  You may install and use (in the manner described) only those configuration(s) for  which you have obtained a license. Licenses for the Software are individual named user licenses. No license may be shared, in any capacity, by more than one individual end user.  Your use of the Software is governed by the terms of this Agreement and the additional terms set forth in this Section 4 that specifically apply to the type of license your have obtained.

4.1.1.	Single User License.  You may install and use a single copy of the Software on a single computer.  You may access the Software from a hard disk, over a network, or by any other method; strictly in accordance with the terms hereof.  You may use each licensed copy of the Software only on a single computer. You must acquire additional single user licenses or multiple user licenses  ("Five User Pack(s)") for additional users to use the Software.

4.1.2.	Multiple User License. ("Five User Pack")   For each Five User Pack license you purchase, Crystal grants you a nonexclusive license to make a maximum of five copies of the Software for a maximum of five users to use the Software who may access the Software from a hard disk, over a network, or by any other method; strictly in accordance with the terms hereof.

4.1.3.	Upgrade License.  You may use one copy of the Software on a single computer, provided that (a) you have a valid license to use and are upgrading an earlier version of the Software; or (b) you have a valid license to use the same version of the Software and are upgrading from the Professional edition to the Developer edition; or (c) you have a valid license to use and are upgrading one of an approved list of third party software products, which includes or "bundles" an earlier version of the Software.  Acquisition of Upgrade Licenses is expressly limited to the direct proportional replacement of licenses previously licensed.  By upgrading software that you have previously licensed (the "Previously Licensed Software") in any of the manners indicated above, you no longer have the right to use  the Previously Licensed Software and you may only use the upgrade license as set forth herein.  Additional licenses may not be acquired as Upgrade Licenses.

4.1.4.	Evaluation/Not for Resale License.  You may use one copy of the Software on a single computer, for a period as specified on the Software packaging.  You are acquiring only the limited right to use a single copy of the Software for evaluation purposes. You are not acquiring any rights to the Software itself.

4.1.5.	OEM License.  If you have acquired the Software bundled or otherwise provided in combination with a third party product, you have acquired an OEM License. You may use each license copy of the Software only on a single computer.  The Software may only be used in conjunction with the third party product with which it was provided.  Accessing data that is not specifically created or used by the third party product is in violation of this license.  You may access the data from a hard disk, over a network, or by any other method; strictly in accordance with the terms hereof.

4.2.	Use of the Runtime Software.  The Runtime Software may be used to develop Client Applications and/or Server/Web-based Applications.  The Distribution and Deployment terms and conditions differ based on the type of applications you develop, as described in Section 5 below.

4.3.	Creation of Report Distribution Systems.  If you use the Software or Runtime Software, together or separately or in combination with Server Environments, to create a Report Distribution System, you must acquire a Crystal Broadcast License as a separate and standalone offering from Crystal.  Information on how to acquire Crystal Broadcast Licenses is set forth in the Crystal Broadcast Licensing section of the "license.hlp".

5	DISTRIBUTION OF RUNTIME SOFTWARE.

5.1.	Client Applications.  Client Applications may use Royalty Free Runtime Software and/or Royalty Required Runtime Software.

5.1.1.	Royalty Free Runtime Software Distribution License.  Unless this is a "Not for Resale" or "Evaluation" copy, Crystal grants you a personal, nonexclusive, limited license to reproduce and Distribute Client Applications that use or include the Royalty Free Runtime Software to and only to end users of the Royalty Free Runtime Software, if and only if you comply with all of the terms of this Section and this license agreement:

5.1.1.1	You Distribute copies of Royalty Free Runtime Software solely as a part of specific-purpose application programs written using an authorized copy of the Software;

5.1.1.2	You remain solely responsible for support, service, upgrades, and technical or other assistance, required or requested by anyone receiving such Royalty Free Runtime Software copies or sample applications;

5.1.1.3	You do not use the name, logo, or trademark of Crystal, or the Software, without written permission from Crystal;

5.1.1.4	You do not alter, disassemble, decompile, translate, adapt or reverse-engineer the Royalty Free Runtime Software;

5.1.1.5	You do not alter, disassemble, decompile, translate, adapt, reverse-engineer, or convert the report file (.RPT) format to an alternative format, including but not limited to report file formats of general purpose report writer or database querying products that are not property of Crystal, except as intended by the Software, without written permission from Crystal; and

5.1.1.6	You will defend, indemnify and hold Crystal harmless against any claims or liabilities arising out of the use, reproduction or Distribution of Royalty Free Runtime Software.

5.1.2.	Royalty Required Runtime Software Distribution License.  This Crystal Reports 8.5 Developer License agreement does not in itself give you any right to Distribute, or Deploy the Client Applications that include or use; the Royalty Required Runtime Software to end users who have not already acquired the appropriate number of licenses of Crystal Reports from Crystal.  To do so, you must contact Crystal and acquire the Royalty Required Runtime Software Distribution License.  If you have previously received a   Royalty Required Runtime Software Distribution License for a prior version of the Software and are updating your Client Application with a new version of the Royalty Required Runtime Software, you must acquire updated Royalty Required Runtime Software Distribution Licenses for your upgraded Client Application from Crystal.

5.2.	Server/Web-based Applications.

5.2.1	Deployment.  You have the right to Deploy each Server/Web-based Application for Access  by up to, but not to exceed, 5 Concurrent Users.  If you want to exceed the 5 Concurrent Users authorized to Access each Server/Web-based Application, you just acquire additional  Access Licenses as a stand-alone offering.  Under no circumstances may the 5 Concurrent Users you are authorized to allow Access to each Server/Web-based Application be exceeded by combining additional Software licenses, other Crystal products that include Access Licenses, promotional offers of any kind, or by any other means, other than through the purchase of additional Access Licenses as stand-alone offering.

5.2.2	Distribution.  This license agreement does not in itself give you any right to Distribute Server/Web-based Applications.  For information on Distribution rights for Server/Web-based Applications, please contact Crystal directly.

5.3.	The Software may contain software components from Crystal's suppliers. This license agreement does not grant you any right to distribute software components from these suppliers; including but not limited to, Microsoft Corporation's "JET Files", unless you have obtained proper authorization from the appropriate supplier.

6	COMPETITIVE PRODUCT RESTRICTIONS.  You may not include the Software or sample applications in any general-purpose report writing and/or database querying product, or any other product that is generally competitive with Crystal product offerings; nor may you use Software to create a product that is generally competitive with Crystal product offerings.  If you wish to Distribute copies of  Server/Web-based Applications or sample applications on other terms, you must obtain written permission from Crystal.

7	OWNERSHIP.  You agree that Crystal and/or its suppliers retain all right, title and interest in and to the Software and all copies at all times, regardless of the form or media in or on which the original or other copies may subsequently exist.  You agree that you neither own nor hereby acquire any claim or right of ownership to the Software or to any related patents, copyrights, trademarks or other intellectual property.  You agree to use reasonable efforts to prevent and protect the contents of the Software from unauthorized disclosure or use.  Crystal and/or its suppliers reserve all rights not expressly granted to you.  Crystal's suppliers are the intended third party beneficiaries of this License Agreement and have the express right to rely upon and directly enforce the terms set forth herein.  Any data, content or information accessed through the Software is the property of the applicable data/content/information owner and may be protected by applicable copyright law.  This License Agreement gives you no rights to such data, content or information.

8	COPYRIGHT. The Software is copyrighted by Crystal and/or its suppliers and is protected by United States copyright and patent laws and international treaty provisions.  You may not copy the Software except:  (a) to provide a backup copy; or (b) to install the Software components licensed by you, as set forth in Sections 3, 4 and  5,  into computers as part of executing the Software.  Solely with respect to the documentation included with the Software, you may make a reasonable number of copies (either in hardcopy or electronic form), provided that such copies shall be used only by licensed end users in conjunction with their use of the Software and are not republished or distributed to any third party.  You must reproduce and include all copyright notices, trademarks or other proprietary legends of Crystal and its suppliers on any copy of the Software or documentation made by you.  Any and all other copies of the Software and/or the documentation made by you are in violation of this License Agreement.

9	OTHER RESTRICTIONS.  Except as expressly permitted by this License Agreement, you hereby acknowledge and agree that (a) you will not use the Software on a timesharing basis or to operate a service bureau facility for the benefit of third-parties unless you first acquire an Application Service Provider License from Crystal; (b) you will not modify or translate the Software except as necessary to configure the Software using the menus, options and tools provided for such purposes and contained in the Software; (c) you will not in any way reverse engineer, disassemble or decompile the Software or any portion thereof except to the extent and for the express purposes authorized by applicable law notwithstanding this limitation; (d) you will not transmit, or provide Access to, the Software over a network except as expressly described in the associated documentation; (e) you will provide access to the Software only as allowed in this Agreement; (f) you will not sublicense, assign, rent, sell, lease, distribute or otherwise transfer the Software or any of the rights granted by this License Agreement, unless you obtain a separate license from Crystal for such purposes; and (g) you will not use the Software to develop any product that is generally competitive with Crystal product offerings.  This license agreement does not in itself give you any right to Distribute the Software and/or Server/Web-based Applications created using this Software.  If you want to distribute the Software, you must obtain a Software distribution license from Crystal, e.g., an OEM or reseller license.

10	LIMITED WARRANTY AND REMEDY.

a)	Crystal hereby warrants to you that:  (i) for a period of ninety (90) days from delivery of the Software, the Software will substantially conform to the functional description set forth in its associated documentation; and (ii) for a period of ninety (90) days from delivery the physical media (e.g., diskettes or CD-ROM) and physical documentation containing the Software will be free from defects in materials and workmanship.  Any implied warranties on the Software and media are limited to ninety (90) days from delivery, to the extent such warranties cannot be disclaimed under Section 9(c) below.  The above warranties specifically exclude defects resulting from accident, abuse, unauthorized repair, modifications, or enhancements, or misapplication.  Crystal does not warrant that use of the Software will be uninterrupted or error free.  Delivery of additional copies of, or revisions or upgrades to, the Software shall not restart or otherwise affect the warranty period for previously delivered copies.

b)	Your exclusive remedy for breach of the above-stated limited warranty shall be, at Crystal's option, either:  (i) correction or replacement of the Software with product(s) which conform to the above-stated limited warranty; or (ii) return of the price paid for the Software and termination of this License Agreement with respect to those copies not in compliance.  Such remedy shall be provided to you by Crystal only if you give Crystal written notice of any breach of the above-stated limited warranty, not later than ninety (90) days following your receipt of the Software.

c)	EXCEPT AS EXPRESSLY SET FORTH IN THIS SECTION 9, CRYSTAL AND ITS SUPPLIERS AND DISTRIBUTORS MAKE NO WARRANTIES, REPRESENTATIONS, CONDITIONS, OR GUARANTEES OF ANY KIND, EITHER EXPRESS, IMPLIED, STATUTORY, OR OTHERWISE, ORAL OR WRITTEN, WITH RESPECT TO THE SOFTWARE AND ANY SERVICES FURNISHED IN CONNECTION WITH THIS LICENSE AGREEMENT, INCLUDING WITHOUT LIMITATION ANY IMPLIED WARRANTIES OR CONDITIONS:  (I) OF MERCHANTABILITY; (II) OF SATISFACTORY OR MERCHANTABLE QUALITY; (III) OF FITNESS FOR A PARTICULAR PURPOSE; (IV) OF NONINFRINGEMENT; OR (V) ARISING FROM COURSE OF PERFORMANCE, COURSE OF DEALING, OR USAGE OF TRADE.  SOME STATES/JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO THE ABOVE EXCLUSION MAY NOT APPLY TO YOU, AND YOU MAY HAVE OTHER LEGAL RIGHTS THAT VARY FROM STATE TO STATE OR BY JURISDICTION.

11	LIMITATION OF LIABILITY.  TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT WILL CRYSTAL OR ITS OFFICERS, EMPLOYEES, DISTRIBUTORS, SUPPLIERS OR AFFILIATES BE LIABLE FOR:  (I) COSTS OF SUBSTITUTE GOODS OR SERVICES; (II) SPECIAL, INDIRECT, INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER, WHETHER IN AN ACTION OF CONTRACT OR TORT, EVEN IF CRYSTAL HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES; (III) ANY CLAIM AGAINST YOU BY ANY THIRD PARTY; AND (IV) ANY DAMAGES, LOSSES OR INJURIES TO YOU, OR THOSE CLAIMING THROUGH YOU, IN EXCESS OF THE FEES PAID BY YOU FOR THE SOFTWARE OR SERVICES DIRECTLY CAUSING THE LIABILITY.  THESE LIMITATIONS WILL APPLY NOTWITHSTANDING ANY FAILURE OF ESSENTIAL PURPOSE OF ANY LIMITED REMEDY.  THE FOREGOING ALLOCATION OF RISK IS REFLECTED IN THE FEES CHARGED UNDER THIS LICENSE AGREEMENT.  SOME STATES/JURISDICTIONS DO NOT ALLOW THE LIMITATION OR EXCLUSION OF LIABILITY FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

12	AUDIT.  During the term of this Agreement and for three (3) years after termination or expiration, you will maintain complete records regarding your use and distribution of the Software.  Upon reasonable notice to you, Crystal may audit, at Crystal's expense, your books and records to determine your compliance hereunder.  In the event any such audit reveals that you have underpaid Crystal by an amount greater than five percent (5%) of the amounts due Crystal in the period being audited, or that you have knowingly breached any material obligation hereunder, then, in addition to such other remedies as Crystal may have, you shall pay or reimburse to Crystal the cost of the audit.

13	TERMINATION.  This License Agreement is effective until terminated.  You may terminate this License Agreement at any time by providing Crystal with written notice, provided that you have complied with the return and/or destruction policy set forth below.  However, you shall receive a refund of your license fee only if this License Agreement is terminated in compliance with Section 9 hereof.  If you ordered an Evaluation License for the Software that is time disabled, this License Agreement will automatically terminate after the Evaluation Period, and you agree not to avoid, or attempt to avoid, any applicable time limitation.  This License Agreement may be terminated by Crystal if:  (i) you fail to pay the license fees and other charges set forth at the time of your order; or (ii) you fail to comply with any of the terms and conditions set forth in this License Agreement and do not remedy such failure within thirty (30) days after receiving notice thereof.  Upon any termination of this License Agreement, you agree to:  (i) immediately cease all use of the Software, including the use and distribution of any Custom Applications incorporating the Software; (ii) either return the Software to Crystal or destroy same, and certify to Crystal, in writing, that all copies and partial copies thereof have been returned or completely destroyed and are no longer being used; and (iii) notify all third parties using the Software through you to comply with the foregoing.  Sections 6, 7, 8, 9(c), 10, 11, 14, and 15 shall survive any termination of this License Agreement.

14	GENERAL.  Except as otherwise preempted by United States federal law, this License Agreement is governed by the laws of the State of California, United States, without reference to conflict of laws provisions or the United Nations 1980 Convention on Contracts for the International Sale of Goods and any amendments thereto.  If any provision of this License Agreement is ruled invalid, such invalidity shall not affect the validity of the remaining portions of this License Agreement.  This License Agreement constitutes the entire agreement between you and  Crystal, and supersedes any prior agreement, whether written or oral, relating to the subject matter of this License Agreement.  This License Agreement may not be modified except by an instrument in writing duly signed by an authorized representative of each of the parties.  If you are acquiring the Software on behalf of an entity, you represent and warrant that you have the legal capacity to bind such entity to this License Agreement.  All terms of any purchase order or other ordering document submitted by you shall be superseded by this License Agreement.  In the event you and Crystal have executed a mutually agreed upon Enterprise Software License Agreement ("ESLA") and acquired the Software pursuant to such ESLA, the terms of the ESLA shall govern your use of the Software and the terms of this License Agreement shall be superseded by the ESLA. The product name for the Software is a trademark or registered trademark of Crystal.  Should you have questions concerning this License Agreement, please contact your local Crystal sales office or authorized reseller, or write to:  Attn.  Contracts Department, 895 Emerson Street, Palo Alto, CA 94301.

15	U.S. GOVERNMENT RESTRICTED RIGHTS.  The Software is a "commercial item," as that term is defined at 48 C.F.R. 2.101 (Oct. 1995), consisting of "commercial computer software" and "commercial computer software documentation," as such terms are used in 48 C.F.R. 12.212 (Sept. 1995).  Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995) (or an equivalent provision, e.g., in supplements of various U.S. government agencies, as applicable), all U.S. Government users acquire the Software with only those rights set forth herein.  Manufacturer is Crystal Decisions, Inc, 895 Emerson Street, Palo Alto, CA 94301.

You must affix the following legend to each copy of the Software:

"Use, duplication, reproduction, or transfer of this commercial software and accompanying documentation is restricted in accordance with FAR 12.212 and DFARS 227.7202 and by a license agreement.  Contact:  Crystal Decisions, Inc., Attn: Contracts Department, 895 Emerson Street, Paolo Alto, CA 94301.

16	EXPORT CONTROLS.  None of the Software or underlying information or technology may be exported or re-exported into (or to a national or resident of) any country in violation of the laws and administrative regulations of the United States or any other applicable jurisdiction.  You specifically agree not to export or re-export any of the Restricted Components (i) to any country\region to which the U.S. has embargoed or restricted the export of goods or services, which currently include, but are not necessarily limited to Cuba, Iran, Iraq, Libya, North Korea, Sudan and Syria, or to any national of any such country\region, wherever located, who intends to transmit or transport the Software back to such country\region; (ii) to any person or entity who you know or have reason to know will utilize the Software in the design, development or production of nuclear, chemical or biological weapons; or (iii) to any person or entity who has been prohibited from participating in U.S. export transactions by any federal agency of the U.S. government.  You warrant and represent that neither the BXA nor any other U.S. federal agency has suspended, revoked or denied your export privileges. By installing and/or using the Software, you are agreeing to the foregoing and you are representing and warranting that you are not located in, under the control of, or a national or resident of any such country.

Please indicate below whether you accept, or do not accept, the terms and conditions of this software license agreement.

_____  Accept	______  Do Not Accept


License Manager

The License Manager is an administrative tool that makes it possible for users to manage their Crystal Reports licenses and key codes from a central location. Using the License Manager, Crystal Reports administrators will be able to:

1.	View information pertaining to all existing product licenses used in the current deployment of Crystal Reports.

2.	Monitor the number of concurrent user licenses used by clients connecting to the Report Design Component (RDC) run time through the ASP server.

3.	Add newly purchased product license key codes to meet increasing reporting needs.

To launch the License Manager, select "Crystal Reports License" from the "Crystal Reports Tools" program group in the Windows Start menu. This will invoke the License Manager interface:

Browse the following topics for more information:

•	Viewing License Information

•	Adding Key Codes

•	Deleting Key Codes


Viewing License Information

The License Manager makes it possible to view information for all licenses in a specified product category and/or information pertaining to a specific key code.

To view license information

1	Select a Product Category from the Product drop down pick list.

All key codes for licenses that have been purchased for the specified Crystal Reports product are displayed in the "Existing key codes" window.

2	Highlight a key code in the Existing key codes window.

Information specific to both the selected product category and the highlighted key code is displayed in the License Information panel.


License Information Panel

The License Information panel provides the following information:

Level

This box specifies the Product Level for the key code highlighted in the "Existing key codes" window. All Crystal Reports licenses fall into one of the following Levels:

Non – Expiring Levels	Expiring Levels
Full	Evaluation
Full + Subscription	Beta
Upgrade	Not For Resale
Upgrade + Subscription
Standalone Subscription
U-batch
Type | Selected Keycode | All Keycodes

This pane lists the number and type of licenses that are currently available from your existing Crystal Reports system.

•	The Type column specifies the License Types that are available from the product category specified in the Product drop-down list.

•	The Selected Keycode column specifies the number of licenses (corresponding to each License Type) that are available from the key code highlighted in the "Existing Key Codes" window.

•	The All Keycodes column shows the total number of licenses (corresponding to each License Type) that have been purchased for the product category specified in the Product drop-down list.

NOTE: The license counts are generally dependant on the number of licenses purchased for each of the various product categories. However, when calculating the total "Concurrent user" count for the Server Software product category, the License Manager will automatically add 5* to the total license count represented in all the Server Software Concurrent user licenses purchased.

* The Crystal Reports Developer Edition includes 5 free Server Software Concurrent user licenses. However, it is NOT possible to increment the number of Server Software Concurrent user licenses by purchasing more CR Developer key codes. (Only 5 Server Software Concurrent user licenses can be acquired from the Crystal Reports Developer Edition, regardless of the number of copies of CR Developer purchased).

Concurrent License Status

When you click the Concurrent License Status button, the License Manager automatically launches your web browser and opens the ASP page: license_info.asp. This page returns the number of concurrent users connected to the RDC run time through the ASP server.

NOTES:

•	The "Concurrent license status" button is enabled only if IIS3 or IIS4 and above is installed on your system.

•	We recommend that Crystal Reports administrators set the client application session time out according to the requirements of their system. The license_info.asp is normally located at C:\Program Files\Seagate Software\Shared\Design Time Control\ASP.

•	The license_info.asp page that ships with this version of Crystal Reports is only a sample to demonstrate how to retrieve the license status via the RDC. Developers may choose to use this sample file directly or to re-use the code in their own applications.

•	The sample license_info.asp page will only detect and return the correct number of active concurrent licenses when all the reports are running in the same memory process in the server machine. It will not add the numbers of active licenses running in different memory processes. One obvious example is that the license_info.asp does NOT display the number of active licenses if reports are generated from different web sites set up with a Medium or High level of Application Protection using IIS 5 and above. For example, users employing more than one web site for reporting on one machine will need to add the active concurrent licenses in each site to obtain the total active concurrent licenses. As a result, you are required to provide your own approaches to detect the total number of active concurrent user licenses if the reports are running in different memory processes in the sever. You can do this by following the code example provided in the license_info.asp.


Setting the Session Timeout

To place limits on the time that an RDC Runtime Application object is available for a particular user session in ASP, users should use the Session.Timout property in their pages that create the application object.

Timeout

The Timeout property specifies the timeout period assigned to the Session object for this application, in minutes. If the user does not refresh or request a page within the timeout period, the session ends.

Syntax

Session.Timeout [ = nMinutes]

Parameters

nMinutes

Specifies the number of minutes that a session can remain idle before the server terminates it automatically. The default is 10 minutes.

© 2000 Microsoft Corporation. All rights reserved.

See the MSDN® Library for more information.


Adding Key Codes

To add a Crystal Reports key code to the License Manager

1	Enter the key code into the Add Key Code text box.

2	Click Add.

If valid, the License Manager will add the key code to the "Existing key codes" list box.

The Product Category, Level, and other attributes corresponding to the key code will be automatically displayed in the License Manager.

3	Verify that the information displayed for the key code is correct.

4	Click OK. (Users must click OK for any changes to be committed to the system).

NOTE: When adding a new, non-expiring key code, any existing expiring key codes matching the new key code's attributes will be deleted.


Deleting Key Codes

To remove a key code from the License Manager

1	In the "Existing key codes" list box, select the key code to be removed.

2	Click Remove. The key code will be removed from the list box.

3	Click OK. (Users must click OK for any changes to be committed to the system).

NOTE: The License Manager will allow users to delete any key code EXCEPT the last Crystal Reports Developer Edition key code listed in the "Existing key codes" box.


License Types

The following table defines each of the Crystal Reports license types:

License Type	Description
Named	One type of the Server Software Access License. Used to authorize named individuals to access the Server Software. Details see the License Agreement.
Concurrent Access License (CAL)	One type of Sever Software Access License. Used to authorize the number of users accessing the Server Software at the same time. Details see the License Agreement.
Designer	A type of license mostly seen in one of the following product categories: Crystal Reports Developer Edition, Professional Edition, or Standard Edition.
Per Processor	One type of Sever Software Access License. Details see the License Agreement.
The following table identifies the License Types that correspond to each Crystal Reports Product Category:

Product Category	License Type
Crystal Reports Developer Edition	Designer
Crystal Reports Professional Edition	Designer
Crystal Reports Standard Edition	Designer
Server Software	Concurrent Access License
	Per Processor
RC API	Concurrent Access License
	Named
EBL (Enterprise Broadcasting License)	Named


Product Categories

The following is a summary of the product categories currently available for the Crystal Reports family of products:

Product Category	Description
Crystal Reports Standard  Edition	This includes the complete set of report creation and design features.
Crystal Reports Professional Edition	Crystal Reports Standard Edition features + Crystal Enterprise Standard Edition + Additional Database drivers + Crystal SQL Designer + Crystal Dictionary
Crystal Reports Developer Edition	Crystal Reports Professional Edition features + Development tools.
RC API	Report Creation API license. This is an add-on product for the Crystal Reports Developer Edition and is required if the Report Creation APIs will be included in your applications. For details, refer to the License Agreements.
Server Software	Server Software Access license. This is an add-on product for the Crystal Reports Developer Edition. Users may need to purchase this when developing server applications using Crystal Reports components or when using Crystal Reports components in the Server environment. For details, refer to the License Agreements.
Enterprise Broadcast License	This is an add-on product for Crystal Reports Developer Edition. For details, see the License Agreements.


Use this drop-down pick list to specify the Crystal Reports product for which licensing information is to be displayed.


Use this box to enter any new license key codes that are purchased for your Crystal Reports system.


This window displays the key codes that have been purchased for the Crystal Reports product category specified in the Product drop-down list above.


This box specifies the Product Level for the key code highlighted in the Existing key codes window.


The Type column specifies the License Types that are available from the product category specified in the Product drop-down list.


The Selected Keycode column specifies the number of licenses (corresponding to each License Type) that are available from the key code highlighted in the Existing key codes window.


Runtime Software - Distribution and Deployment Rights

Runtime Software includes those files listed in the Royalty-free Runtime Files and Royalty-required Runtime Files sections of this Help File.  These runtime files may be used to build Client Applications and/or Server/Web-based Applications*. Your distribution and deployment rights differ based on the type of application you develop and the features you choose to include.

Click on a link below for more information:

Client Applications - Runtime distribution and deployment rights

Server/Web-based Applications - Runtime distribution and deployment rights

* For definitions of terms used in this Help File, please refer to the License Agreement

Note:  Any files not listed as part of the Royalty-free Runtime Files and Royalty-required Runtime Files sections of this Help File are not considered to be "Runtime files" and are to be considered as general Crystal Reports software files subject to the general software terms and conditions of the License Agreement.  These files may not be redistributed.


Client Applications - Runtime Software Distribution and Deployment

When building Client Applications, you may use Royalty-free Runtime Software files and/or Royalty-required Runtime Software files according to the following licensing conditions:

Royalty-free Runtime Software

As with previous versions of Crystal Reports, you may deploy or distribute Client Applications that use the Royalty-free Runtime Software for no additional license fee.

View the Royalty-free Runtime Files List

Royalty-required Runtime Software

Your Crystal Reports Developer Edition contains new features that provide a great deal more flexibility and power for developers to embed reporting into their Client Applications. The most significant of these is the addition of Report Creation APIs to the Crystal Reports Runtime. These allow the developer to create and save new reports, edit and layout reports, and do much more—all at runtime. In effect, developers can now create a custom report writer based on the power of Crystal Reports. Furthermore, with the new Embeddable Crystal Reports Designer Control, developers now have the power to integrate the full-fledged report designer directly into their own applications. For more information see "Embeddable Crystal Reports Designer Control Object Model" in the Crystal Reports Developers Help (CrystalDevHelp.chm).

Before distributing or deploying Client Applications that use any of the Royalty-required Runtime Software files, a Report Creation API License must be purchased.  Please contact Seagate Software or visit http://www.seagatesoftware.com/products/crystalreports for more details on report creation royalties.

View the Royalty-required Runtime Files list


Royalty-free Runtime Files

The Royalty-free Runtime included in previous releases of Crystal Reports is also available in Crystal Reports 8.5. Note that developer tools and the runtime licenses for their use are available only with the Developer Edition.

Click on the following object/collection list to view the royalty-free runtime properties, methods, and events:

•	CRAXDRT.DLL* (Click here to see the object/collection list for the properties, methods, and events that are provided Royalty-free.)

•	BN4C2nt2.DLL

•	C2SUPPRT.DLL

•	CDO32.DLL

•	CPEAUT32.DLL

•	CRBAS14.DLL

•	CRBAS15.DLL

•	CRBAS15R.DLL

•	CRCVT01.DLL

•	CRDB214.DLL

•	CRFLT14.DLL

•	CRFLT15.DLL

•	CRFLT15R.DLL

•	CRGUP14.DLL

•	CRIADX07.DLL

•	CRIADX07R.DLL

•	CRINF14.DLL

•	CRINF914.DLL

•	CROR714.DLL

•	CROR814.DLL

•	CRPAIG80.DLL

•	CRPE32.DLL

•	CRSYB14.DLL

•	CRTSLV.DLL

•	CRUTL14.DLL

•	CRUTL15.DLL

•	CRVIEWER.DLL

•	CRWRAP32.DLL

•	CRXF_PDF.DLL

•	CRXF_RTF.DLL

•	CRXML15.DLL

•	CRXML15R.DLL

•	CRXML15S.DLL

•	CRXMLX07.DLL

•	CRXMLX07R.DLL

•	CRYSTL32.OCX

•	EXLATE32.dll

•	EXPORTMODELLER.DLL

•	IMPLODE.DLL

•	LIBCS.DLL

•	LIBCT.DLL

•	MAPINFOW.PRJ

•	MAPX30.LIC

•	MAPX30.OCX

•	MFC42.DLL

•	MFCANS32.DLL

•	MIDLG30.DLL

•	MIDLIN30.DLL

•	MITMDL30.DLL

•	MITMIN30.DLL

•	MSPX3032.DLL

•	MSVCIRT.DLL

•	MSVCP60.DLL

•	MSVCRT.DLL

•	MSXB3032.DLL

•	MXINTL30.DLL

•	OLEPRO32.DLL

•	P2BACT.DLL

•	P2BACT3.DLL

•	P2BBDE.DLL

•	P2BBND.DLL

•	P2BBTRV.DLL

•	P2BDAO.DLL

•	P2BXBSE.DLL

•	P2CTBTRV.DLL

•	P2CTDAO.DLL

•	P2IRACT.DLL

•	P2IRACT3.DLL

•	P2IRDAO.DLL

•	P2IXBSE.DLL

•	P2LDB2.DLL

•	P2LIFMX.DLL

•	P2LODBC.DLL

•	P2LORA7.DLL

•	P2LSQL.DLL

•	P2LSYB10.DLL

•	P2MOLAP.DLL

•	P2SACL.DLL

•	P2SBAAN.DLL

•	P2SDB2.DLL

•	P2SEVT.DLL

•	P2SEXSR.DLL

•	P2SFS.DLL

•	P2SIFMX.DLL

•	P2SMAPI.DLL

•	P2SMCUBE.DLL

•	P2SMON.DLL

•	P2SMSIIS.DLL

•	P2SNOTE.DLL

•	P2SODBC.DLL

•	P2SOLAP.DLL

•	P2SOLEDB.DLL

•	P2SORA7.DLL

•	P2SOUTLK.DLL

•	P2SREPL.DLL

•	P2SRFC.DLL

•	P2SRFCAQ.DLL

•	P2SRFCFA.DLL

•	P2SSQL.DLL

•	P2SSYB10.DLL

•	P2STRACK.DLL

•	P2SWBLG.DLL

•	PG32CONV.DLL

•	QECR.LIC

•	RULE1.DFA

•	RULE1.LLR

•	S2SQLPRS.DLL

•	SSCSDK80.DLL

•	U2DAAP.DLL

•	U2DDISK.DLL

•	U2DMAPI.DLL

•	U2DNOTES.DLL

•	U2DPOST.DLL

•	U2DVIM.DLL

•	U2FCR.DLL

•	U2FDIF.DLL

•	U2FHTML.DLL

•	U2FODBC.DLL

•	U2FPDF.DLL

•	U2FRDEF.DLL

•	U2FREC.DLL

•	U2FRTF.DLL

•	U2FSEPV.DLL

•	U2FTEXT.DLL

•	U2FWKS.DLL

•	U2FWORDW.DLL

•	U2FXLS.DLL

•	U2FXML.DLL

Note - Any file that is not listed in the above list or the Royalty-required Runtime files section of this Help File is not considered to be a "runtime" file, and does not have any runtime rights.


Royalty-required Runtime files

 The Royalty-required Runtime files included in this release are as follows:

•	CRAXDRT.DLL*

•	CRYSTALWIZARD.DLL

•	CRDESIGNERCTL.DLL

•	CRAXDDRT.DLL

*These files only require a runtime royalty if you are incorporating the royalty required properties, methods or events associated with these files.  Click here to view the Royalty-required properties, events and methods associated with this file.


Server/Web-based Applications - Runtime Software Distribution and Deployment

When creating Server/Web-based Applications, you may use the complementary copy of Crystal Enterprise Standard included with your purchase, or build your own application using the Runtime Software. (There is no differentiation between royalty-free and royalty-required runtime; however, the below licensing conditions must be applied.)

Deployment

Your Server/Web-based application – whether using Crystal Enterprise Standard or the Runtime Software - may be deployed in your organization for access by a maximum of 5 free concurrent users.  If you want to exceed the number of concurrent users, you must purchase additional Crystal Enterprise or Server Access licenses. Upon purchasing additional licenses, you will receive a product activation keycode(s) to enter into Crystal Report’s new License Manager or the Crystal Enterprise Management Console.

Note – The 5 free Concurrent Access Licenses are per application or per Crystal Enterprise deployment.  You cannot increase the 5 free CAL additional copies of CR Developer and combining them within one application or Crystal Enterprise deployment. This is a violation of the license.

View the Crystal Reports Developer License

(The Crystal Enterprise Standard License Agreement is available in the /docs directory of the Crystal Enterprise CD.)

Distribution

The Developer’s License agreement does not in itself give you any right to distribute server or web-based applications created using Crystal Enterprise Standard or the Runtime Software.  For information on redistribution licensing contact Seagate Software’s OEM department.


Royalty-free Object/Collection List

Application

Area

Areas

BlobFieldObject

BoxObject

CrossTabGroups

CrossTabObject

Database

DatabaseFieldDefinition

DatabaseFieldDefinitions

DatabaseTable

DatabaseTables

ExportOptions

FieldDefinitions

FieldMappingData

FieldObject

FormattingInfo

FormulaFieldDefinition

FormulaFieldDefinitions

GraphObject

GroupNameFieldDefinition

GroupNameFieldDefinitions

IFieldDefinition

IReportObject

LineObject

MapObject

ObjectSummaryFieldDefinitions

OlapGridObject

OleObject

Page

PageEngine

PageGenerator

Pages

ParameterFieldDefinition

ParameterFieldDefinitions

ParamterValue

ParameterValueInfo

ParameterValueInfos

ParameterValues

PrintingStatus

Report

ReportObjects

RunningtotalFieldDefinition

RunningTotalFieldDefinitions

Section

Sections

SortField

SortFields

SpecialVarFieldDefinition

SQLExpressionFieldDefinition

SQLExpressionFieldDefinitions

SubreportLinks

SubreportObject

SummaryFieldDefinition

SummaryFieldDefinitions

TableLink

TableLinks

TextObject


Application
Object: Application

Methods

CanClose

GetLicenseStatus

GetVersion

LogOffServer

LogonServer

LogOnServerEx

OpenReport

SetMatchLogonInfo

SetMorePrintEngineErrorMessage


Area Properties
Object: Area

Properties

CopiesToPrint

DetailHeight

DetailWidth

DiscardOtherGroups

EnableHierarchicalGroupSorting

GroupCondition

GroupConditionField

GroupIndent

GroupNumber

HideForDrillDown

HorizontalGap

InstanceIDField

KeepGroupTogether

KeepTogether

Kind

Name

NewPageAfter

NewPageBefore

NumberOfTopOrBottomNGroups

Parent

ParentIDField

PrintAtBottomOfPage

RepeatGroupHeader

ResetPageNumberAfter

Sections

SortDirection

Suppress

TopOrBottomNGroupSortOrder

TopOrBottomNSortField

Methods

SetInstanceIDField

SetParentIDField


Areas
Collection: Areas

Properties

Count

Item

Parent


BlobFieldObject
Object: BlobFieldObject

Properties

BackColor

BorderColor

BottomCropping

BottomLineStyle

CloseAtPageBreak

Field

HasDropShadow

Height

KeepTogether

Kind

Left

LeftCropping

LeftLineStyle

Name

Parent

RightCropping

RightLineStyle

Suppress

Top

TopCropping

TopLineStyle

Width

XScaling

Yscaling


BoxObject
Object: BoxObject

Properties

Bottom

BottomRightSection

CloseAtPageBreak

CornerElipseHeight

CornerElipseWidth

ExtendToBottomOfSection

FillColor

HasDropShadow

Kind

Left

LineColor

LineStyle

LineThickness

Name

Parent

Right

Suppress

Top


Collection: CrossTabGroups

Properties

Count

Item

Parent


CrossTabObject
Object: CrossTabObject

Properties

BackColor

BorderColor

BottomLineStyle

CloseAtPageBreak

HasDropShadow

Height

KeepTogether

Kind

Left

LeftLineStyle

Name

Parent

RightLineStyle

Suppress

Top

TopLineStyle

Width


Database
Object: Database

Properties

Parent

Tables

Methods

AddADOCommand

AddOLEDBSource

LogOnServerEX

LogOnServer

LogOffServer

SetDataSource

Verify


DatabaseFieldDefinition
Object: DatabaseFieldDefinition

Properties

DatabaseFieldName

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

TableAliasName

Value

ValueType


DatabaseFieldDefinitions
Collection: DatabaseFieldDefinitions

Properties

Count

Item

Parent

Method

GetItemByName


DatabaseTable
Object: DatabaseTable

Properties

ConnectBufferString

DatabaseType

DescriptiveName

DllName

Fields

Location

LogOnDatabaseName

LogOnServerName

LogOnUserID

Name

Parent

SessionUserID

SubLocation

Methods

CheckDifferences

SetDataSource

SetLogOnInfo

SetSessionInfo

SetTableLocation

TestConnectivity


DatabaseTables
Collection: DatabaseTables

Properties

Count

Item

Parent


ExportOptions
Object: ExportOptions

Properties

ApplicationFileName

CharFieldDelimiter

CharStringDelimiter

DestinationDllName

DestinationType

DiskFileName

ExcelAreaGroupNumber

ExcelAreaType

ExcelConstantColumnWidth

ExcelTabHasColumnHeadings

ExcelUseConstantColumnWidth

ExcelUseTabularFormat

ExcelUseWorksheetFunctions

ExchangeDestinationType

ExchangeFolderPath

ExchangePassword

ExchangeProfile

FormatDllName

FormatType

HTMLEnableSeparatedPages

HTMLFileName

HTMLHasPageNavigator

LotusDominoComments

LotusDominoDatabaseName

LotusDominoFormName

MailBccList

MailCcList

MailMessage

MailSubject

MailToList

NumberOfLinesPerPage

ODBCDataSourceName

ODBCDataSourcePassword

ODBCDataSourceUserID

ODBCExportTableName

Parent

PDFExportAllPages

PDFExportFirstPageNumber

PDFExportLastPageNumber

RTFExportAllPages

RTFExportFirstPageNumber

RTFExportLastPageNumber

UseReportDateFormat

UseReportNumberFormat

XMLAllowMultipleFiles

XMLFileNames

Methods

PromptForExportOptions

Reset


Object: Field Definitions
Collection: FieldDefinitions

Properties

Count

Item

Parent


Object: FieldMappingData

Properties

FieldName

MappingToIndex

TableName

ValueType


FieldObject
Object: FieldObject

Properties

AmPmType

AmString

BackColor

BooleanOutputType

BorderColor

BottomLineStyle

CanGrow

CharacterSpacing

CloseAtPageBreak

CurrencyPositionType

CurrencySymbol

CurrencySymbolType

DateCalendarType

DateEraType

DateFirstSeparator

DateOrder

DatePrefixSeparator

DateSecondSeparator

DateSuffixSeparator

DateWindowsDefaultType

DayType

DecimalPlaces

DecimalSymbol

DisplayReverseSign

EnableTightHorizontal

Field

FirstLineIndent

Font

HasDropShadow

Height

HorAlignment

HourMinuteSeparator

HourType

KeepTogether

Kind

LeadingDayPosition

LeadingDaySeparator

LeadingDayType

Left

LeftLineStyle

LineSpacing

LineSpacingType

MaxNumberOfLines

MinuteSecondSeparator

MinuteType

MonthType

Name

NegativeType

NextValue

Parent

PmString

PreviousValue

RightIndent

RightLineStyle

RoundingType

SecondType

Suppress

SuppressIfDuplicated

SuppressIfZero

TextColor

TextFormat

TextRotationAngle

ThousandsSeparators

ThousandSymbol

TimeBase

Top

TopLineStyle

UseLeadingZero

UseOneSymbolPerPage

UseSystemDefaults

Value

Width

YearType

ZeroValueString

Methods

SetLineSpacing

SetUnboundFieldSource


FormattingInfo
Object: FormattingInfo

Properties

IsEndOfGroup

IsRepeatedGroupHeader

IsStartOfGroup


FormulaFieldDefinition
Object: FormulaFieldDefinition

Properties

FormulaFieldName

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

Text

Value

ValueType

Method

Check


FormulaFieldDefinitions
Collection: FormulaFieldDefinitions

Properties

Count

Item

Parent

Method

GetItemByName


GraphObject
Object: GraphObject

Properties

AutoRangeData2Axis

AutoRangeDataAxis

BackColor

BarSize

BorderColor

BottomLineStyle

CloseAtPageBreak

ConditionFieldSortOrder

Data2AxisDivisionMethod

Data2AxisDivisionNumber

Data2AxisGridline

Data2AxisNumberFormat

Data2LabeFont

Data2Title

Data2TitleFont

DataAxisDivisionMethod

DataAxisDivisionNumber

DataAxisGridline

DataAxisNumberFormat

DataLabelFont

DataPoint

DataTitle

DataTitleFont

DataType

DataValueNumberFormat

EnableAutoScaleDataAxis

EnableAutoScaleData2Axis

EnableShowLegend

FootNote

FootnoteFont

GraphColor

GraphDirection

GraphType

GroupAxisGridline

GroupLabelFont

GroupsTitle

GroupTitleFont

HasDropShadow

Height

IsData2TitlebyDefault

IsDataTitleByDefault

IsFootnoteByDefault

IsGroupTitleByDefault

IsSeriesTitleByDefault

IsSubTitleByDefault

IsTitleByDefault

KeepTogether

Kind

Left

LeftLineStyle

LegendFont

LegendLayout

LegendPosition

MarkerShape

MarkerSize

MaxData2AxisValue

MaxDataAxisValue

MinData2AxisValue

MinDataAxisValue

Name

Parent

PieSize

RightLineStyle

SeriesAxisGridline

SeriesLabelFont

SeriesTitle

SeriesTitleFont

SliceDetachment

SubTitle

SubTitleFont

Suppress

Title

TitleFont

Top

TopLineStyle

ViewingAngle

Width


GroupNameFieldDefinition
Object: GroupNameFieldDefinition

Properties

GroupNameFieldName

GroupNumber

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

Value

ValueType


GroupNameFieldDefinitions
Collection: GroupNameFieldDefinitions

Properties

Count

Item

Parent


Interface: IFieldDefinition

Properties

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

UseCount

Value

ValueType


Interface: IReportObject

Properties

BackColor

BorderColor

BottomLineStyle

CloseAtPageBreak

EnableTightHorizontal

HasDropShadow

Height

KeepTogether

Kind

Left

LeftLineStyle

Name

Parent

RightLineStyle

Suppress

Top

TopLineStyle

Width


Object: LineObject

Properties

Bottom

EndSection

ExtendToBottomOfSection

Kind

Left

LineColor

LineStyle

LineThickness

Name

Parent

Right

Suppress

Top


MapObject
Object: MapObject

Properties

BackColor

BorderColor

BottomLineStyle

CloseAtPageBreak

HasDropShadow

Height

KeepTogether

Kind

Left

LeftLineStyle

Name

Parent

RightLineStyle

Suppress

Top

TopLineStyle

Width


Collection: ObjectSummaryFieldDefinitions

Properties

Count

Item

Parent


OlapGridObject
Object: OlapGridObject

Properties

BackColor

BorderColor

BottomLineStyle

CloseAtPageBreak

HasDropShadow

Height

KeepTogether

Kind

Left

LeftLineStyle

Name

Parent

RightLineStyle

Suppress

Top

TopLineStyle

Width


OleObject
Object: OleObject

Properties

BackColor

BorderColor

BottomCropping

BottomLineStyle

CloseAtPageBreak

FormattedPicture

HasDropShadow

Height

KeepTogether

Kind

Left

LeftCropping

LeftLineStyle

Name

Parent

RightCropping

RightLineStyle

Suppress

Top

TopCropping

TopLineStyle

Width

XScaling

Yscaling

Method

SetOleLocation


Page
Object: Page

Properties

IsLastPage

IsMissingTotalPageCount

PageNumber

Parent

Methods

RenderEPF

RenderHTML


PageEngine
Object: PageEngine

Properties

ImageOptions

Parent

PlaceHolderOptions

ValueFormationOptions

Methods

CreatePageGenerator

RenderTotallerETF

RenderTotallerHTML


PageGenerator
Object: PageGenerator

Properties

ContainingGroupName

ContainingGroupPath

ContainingPageNumber

DrillDownLevel

GroupName

GroupPath

Pages

Parent

ReportName

xOffset

yOffset

Methods

CreateSubreportPageGenerator

DrillOnGraph

DrillOnMap

DrillOnSubreport

Export

FindText

GetPageNumberForGroup

RenderTotallerETF

RenderTotallerHTML

SearchForText


Pages
Collection: Pages

Properties

Count

Item

Parent


ParamterFieldDefinition
Object: ParameterFieldDefinition

Properties

DisallowEditing

DiscreteOrRangeKind

EditMask

EnableExclusiveGroup

EnableMultipleValues

EnableNullValue

EnableRangeLimit

EnableShowDescriptionOnly

EnableSortBasedOnDesc

GroupNumber

IsCurrentValueSet

IsDefaultValueSet

Kind

MaximumValue

MinimumValue

Name

NeedsCurrentValue

NextValue

NthValueDescription

NumberOfBytes

NumberOfCurrentRanges

NumberOfCurrentValues

NumberOfDefaultValues

ParameterFieldName

ParameterType

Parent

PicklistSortMethod

PlaceInGroup

PreviousVaue

Prompt

ReportName

Value

ValueType

Methods

AddCurrentRange

AddCurrentValue

AddDefaultValue

ClearCurrentValueAndRange

DeleteNthDefaultValue

GetNthCurrentRange

GetNthCurrentValue

GetNthDefaultValue

SetNthDefaultValue


ParameterFieldDefinitions
Collection: ParameterFieldDefinitions

Properties

Count

Item

Parent

Method

GetItemByName


Object: ParamterValue

Properties

EndValue

rangeInfo

RangeValue

StartValue


Object: ParameterValueInfo

Properties

parameterName

ParameterValues


Collection: ParameterValueInfos

Properties

Count

Item

Methods

Add

Delete


Collection: ParameterValues

Properties

Count

Item

Methods

Add

Delete


PrintingStatus
Object: PrintingStatus

Properties

NumberOfPages

NumberOfRecordPrinted

NumberOfRecordRead

NumberOfREcordSelected

Parent

Progress


Report
Object: Report

Properties

Application

ApplicationName

Areas

BottomMargin

CanPerformGroupingOnServer

CaseInsensitiveSQLData

ConvertDateTimeType

ConvertNullFieldToDefault

Database

DisplayProgressDialog

DriverName

EnableAsyncQuery

EnableGeneratingDataForHiddenObject

EnableParameterPrompting

EnablePerformQueriesAsynchronously

EnableSelectDistinctRecords

ExportOptions

FieldMappingType

FormulaFields

FormulaSyntax

GroupNameFields

GroupSelectionFormula

GroupSortFields

HasSavedData

KeywordsInReport

Kind

LastGetFormulaSyntax

LeftMargin

MorePrintEngineErrorMessages

NeedUpdatedPages

NumberOfGroup

PageEngine

PaperOrientation

PaperSize

PaperSource

ParameterFields

Parent

PerformGroupingOnServer

PortName

PrintDate

PrinterDuplex

PrinterName

PrintingStatus

RecordSelectionFormula

RecordSortFields

ReportAuthor

ReportComments

ReportSubject

ReportTemplate

ReportTitle

RightMargin

RunningTotalFields

SavePreviewPicture

Sections

SQLExpressionFields

SQLQueryString

SummaryFields

TopMargin

TranslateDosMemos

TranslateDosStrings

UseIndexForSpeed

VerifyOnEveryPrint

Methods

AddGroup

AddReportVariable

AutoSetUnboundFieldSource

CancelPrinting

DiscardSavedData

EndFormatPage

Export

GetNextRows

GetReportVariableValue

OpenSubreport

PrinterSetup

PrintOut

ReadRecords

SaveAs

SelectPrinter

SetDialogParentWindow

SetReportVariableValue

Events

AfterFormatPage

BeforeFormatPage

NoData


ReportObjects
Object: ReportObjects

Properties

Count

Item

Parent


RunningTotalFieldDefinition
Object: RunningTotalFieldDefinition

Properties

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

RunningTotalFieldName

Value

ValueType


RunningTotalFieldDefinitions
Collection: RunningTotalFieldDefinitions

Properties

Count

Item

Parent

Method

GetItemByName


Section
Object: Section

Properties

BackColor

Height

KeepTogether

MinimumHeight

Name

NewPageAfter

NewPageBefore

Number

Parent

PrintAtBottomOfPage

ReportObjects

ResetPageNumberAfter

Suppress

SuppressIfBlank

UnderlaySection

Width

Event

Format


Sections
Collection: Sections

Properties

Count

Item

Parent


SortField
Object: Database

Properties

Field

Parent

SortDirection


SortFields
Object: SortFields

Properties

Count

Item

Parent

Methods

Add

Delete


SpecialVarFieldDefinition
Object: SpecialVarfieldDefinition

Properties

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

SpecialVarType

Value

ValueType


SQLExpressionFieldDefinition
Object: SQLExpressionFieldDefinition

Propeties

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

SQLExpressionFieldName

Text

Value

ValueType

Method

Check


SQLExpressionFieldDefinitions
Collection: SQLExpressionFieldDefinitions

Properties

Count

Item

Parent

Method

GetItemByName


Collection: SubreportLinks

Property

Count

Item

Parent


SubreportObject
Object: SubreportObject

Properties

BackColor

BorderColor

BottomLineStyle

CanGrow

CloseAtPageBreak

EnableOnDemand

HasDropShadow

Height

KeepTogether

Kind

Left

LeftLineStyle

Name

Parent

RightLineStyle

SubreportName

Suppress

Top

TopLineStyle

Width

Method

OpenSubreport


SummaryFieldDefinition
Object: SummaryFieldDefinition

Properties

FooterArea

ForCrossTab

HeaderArea

Kind

Name

NextValue

NumberOfBytes

Parent

PreviousValue

SecondarySummarizedField

SummarizedField

SummaryOperationParameter

SummaryType

Value

ValueType


SummaryFieldDefinitions
Collection: SummaryFieldDefinitions

Properties

Count

Item

Parent


TableLink
Object: TableLink

Properties

DestinationFields

DestinationTable

IndexUsed

JoinType

LookupType

PartialMatchEnabled

SourceFields

SourceTable


Collection: TableLinks

Properties

Count

Item

Parent


TextObject
Object: TextObject

Properties

BackColor

BorderColor

BottomLineStyle

CanGrow

CharacterSpacing

CloseAtPageBreak

FirstLineIndent

Font

HasDropShadow

Height

HorAlignment

KeepTogether

Kind

Left

LeftIndent

LeftLineStyle

LineSpacing

LineSpacingType

MaxNumberOfLines

Name

Parent

RightIndent

RightLineStyle

Suppress

SuppressIfDuplicated

Text

TextColor

TextRotationAngle

Top

TopLineStyle

Width

Methods

SetLineSpacing

SetText


Crystal Report Print Engine API

The following lists the functions that are provided free in the Crystal Report Print Engine API:

PEAddParameterCurrentRange

PEAddParameterCurrentValue

PEAddParameterDefaultValue

PECancelPrintJob

PECanCloseEngine

PECheckFormula

PECheckGroupSelectionFormula

PECheckNthTableDifferences

PECheckSelectionFormula

PECheckSQLExpression

PEClearParameterCurrentValuesAndRanges

PECloseEngine

PEClosePrintJob

PECloseSubreport

PECloseWindow

PEConvertPFInfoToVInfo

PEConvertVInfoToPFInfo

PEDeleteNthGroupSortField

PEDeleteNthParameterDefaultValue

PEDeleteNthSortField

PEDiscardSavedData

PEEnableEvent

PEEnableProgressDialog

PEExportPrintWindow

PEExportTo

PEFreeDevMode

PEGetAllowPromptDialog

PEGetAreaFormat

PEGetAreaFormatFormula

PEGetEnableEventInfo

PEGetErrorCode

PEGetErrorText

PEGetExportOptions

PEGetFieldMappingType

PEGetFormula

PEGetFormulaSyntax

PEGetGraphAxisInfo

PEGetGraphFontInfo

PEGetGraphOptionInfo

PEGetGraphTextDefaultOption

PEGetGraphTextInfo

PEGetGraphTypeInfo

PEGetGroupCondition

PEGetGroupOptions

PEGetGroupSelectionFormula

PEGetHandleString

PEGetJobStatus

PEGetMargins

PEGetNDetailCopies

PEGetNFormulas

PEGetNGroups

PEGetNGroupSortFields

PEGetNPages

PEGetNParameterCurrentRanges

PEGetNParameterCurrentValues

PEGetNParameterDefaultValues

PEGetNParameterFields

PEGetNSections

PEGetNSectionsInArea

PEGetNSortFields

PEGetNSQLExpressions

PEGetNSubreportsInSection

PEGetNTables

PEGetNthFormula

PEGetNthGroupSortField

PEGetNthParameterCurrentRange

PEGetNthParameterCurrentValue

PEGetNthParameterDefaultValue

PEGetNthParameterField

PEGetNthParameterType

PEGetNthParameterValueDescription

PEGetNthSortField

PEGetNthSQLExpression

PEGetNthSubreportInSection

PEGetNthTableLocation

PEGetNthTableLogOnInfo

PEGetNthTablePrivateInfo

PEGetNthTableSessionInfo

PEGetNthTableType

PEGetParameterMinMaxValue

PEGetParameterPickListOption

PEGetParameterValueInfo

PEGetPrintDate

PEGetPrintOptions

PEGetReportOptions

PEGetReportSummaryInfo

PEGetReportTitle

PEGetSectionCode

PEGetSectionFormat

PEGetSectionFormatFormula

PEGetSectionHeight

PEGetSelectedPrinter

PEGetSelectionFormula

PEGetSQLExpression

PEGetSQLQuery

PEGetSubreportInfo

PEGetTrackCursorInfo

PEGetVersion

PEGetWindowHandle

PEGetWindowOptions

PEHasSavedData

PEIsPrintJobFinished

PELogOffServer

PELogOnServer

PELogOnSQLServerWithPrivateInfo

PENextPrintWindowMagnification

PEOpenEngine

PEOpenPrintJob

PEOpenSubreport

PEOutputToPrinter

PEOutputToWindow

PEPrintControlsShowing

PEPrintReport

PEPrintWindow

PEReimportSubreport

PESelectPrinter

PESetAllowPromptDialog

PESetAreaFormat

PESetAreaFormatFormula

PESetDialogParentWindow

PESetEventCallback

PESetFieldMappingType

PESetFont

PESetFormula

PESetFormulaSyntax

PESetGraphAxisInfo

PESetGraphFontInfo

PESetGraphOptionInfo

PESetGraphTextDefaultOption

PESetGraphTextInfo

PESetGraphTypeInfo

PESetGroupCondition

PESetGroupOptions

PESetGroupSelectionFormula

PESetMargins

PESetNDetailCopies

PESetNthGroupSortField

PESetNthParameterDefaultValue

PESetNthParameterField

PESetNthParameterValueDescription

PESetNthSortField

PESetNthTableLocation

PESetNthTableLogOnInfo

PESetNthTablePrivateInfo

PESetNthTableSessionInfo

PESetParameterMinMaxValue

PESetParameterPickListOption

PESetParameterValueInfo

PESetPrintDate

PESetPrintOptions

PESetReportOptions

PESetReportSummaryInfo

PESetReportTitle

PESetSectionFormat

PESetSectionFormatFormula

PESetSectionHeight

PESetSelectionFormula

PESetSQLExpression

PESetSQLQuery

PESetTrackCursorInfo

PESetWindowOptions

PEShowFirstPage

PEShowLastPage

PEShowNextPage

PEShowNthPage

PEShowPreviousPage

PEShowPrintControls

PEStartPrintJob

PETestNthTableConnectivity

PEVerifyDatabase

PEZoomPreviewWindow


Automation Server (OLE) Interface

Click on the following object/collection list to view the properties, methods, and events that are provided free with the Automation Server (OLE) Interface.

Application

Area

AreaOptions

Areas

BlobFieldObject

Border

BoxObject

CrossTabObject

Database

DatabaseFieldDefinition

DatabaseFieldDefinitions

DatabaseLink

DatabaseLinks

DatabaseParameter

DatabaseParameters

DatabaseTable

DatabaseTables

EmbeddedField

EmbeddedFields

EventInfo

ExportOptions

FieldFormat

FieldMappingValue

FieldObject

FieldValue

Font

FormulaFieldDefinition

FormulaFieldDefinitions

GlobalOptions

GraphObject

GroupAreaOptions

GroupnameFieldDefinition

LineObject

MapObject

ObjectFormat

OLEObject

Page

PageEngine

PageGenerator

Pages

PageSetup

Paragraph

Paragraphs

ParameterFieldDefinition

ParameterFieldDefinitions

PictureFormat

PrinterInfo

PrintingStatus

PrintWindowOptions

Report

ReportObjects

ReportOptions

ReportSummaryInfo

Section

SectionOptions

Sections

SortField

SortFields

SpecialVarFieldDefinition

SubreportObject

SummaryFieldDefinition

SummaryFieldDefinitions

TabStop

TabStops

TextObject

TextRange

TrackCursorInfo

View

Views

Window


Application
Object: Application

Properties

LastErrorCode

LastErrorString

Options

Parent

Methods

CanClose

ClearError

CreateReport

EnableFeatures

GetVersion

LogOffServer

LogOnServer

OpenReport


Area
Object: Area

Properties

Application

CopiesToPrint

GroupNumber

GroupOptions

Kind

Options

Parent

Report

Sections


AreaOptions
Object: AreaOptions

Properties

Application

KeepTogether

KeepTogetherFormula

NewPageAfter

NewPageAfterFormula

NewPageBefore

NewPageBeforeFormula

NotHideForDrillDown

NotHideForDrillDownFormula

Parent

PrintAtBottomOfPage

PrintAtBottomOfPageFormula

Report

ResetPageNumberAfter

ResetPageNumberAfterFormula

Visible

VisibleFormula


Areas
Collection: Areas

Properties

Application

Count

Item

Parent

Report


BlobFieldObject
Object: BlobFieldObject

Properties

Application

Border

Field

Format

Height

Kind

Left

Parent

PictureFormat

Report

Top

Width


Border
Object: Border

Properties

Application

BackColor

BackColorFormula

BottomLineStyle

BottomLineStyleFormula

DropShadow

DropShadowFormula

ForeColor

ForeColorFormula

LeftLineStyle

LeftLineStyleFormula

Parent

Report

RightLineStyle

RightLineStyleFormula

TightHorizontal

TightHorizontalFormula

TopLineStyle

TopLineStyleFormula


BoxObject
Object: BoxObject

Properties

Application

Bottom

BottomRightSection

CloseAtPageBreak

DropShadow

ExtendToBottomOfSection

FillColor

Format

Kind

Left

LineColor

LineStyle

LineThickness

Parent

Report

Right

Top


CrossTabObject
Object: CrossTabObject

Properties

Application

Border

ColumnGroups

Format

Height

Kind

Left

Parent

Report

RowGroups

SummaryFields

Top

Width


Database
Object: Database

Properties

Application

Links

Parameters

Parent

Report

Tables

Method

Verify


DatabaseFieldDefinition
Object: DatabaseFieldDefinition

Properties

Application

DatabaseFieldName

Kind

Name

NumberOfBytes

Parent

Report

TableAliasName

ValueType


DatabaseFieldDefinitions
Collection: DatabaseFieldDefinitions

Properties

Application

Count

Item

Parent

Report


DatabaseLink
Object: DatabaseLink

Properties

Application

destFields

DestTable

indexInUse

joinType

lookupType

Parent

PartialMatchEnabled

Report

srcFields

SrcTable


DatabaseLinks
Collection: DatabaseLinks

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


DatabaseParameter
Object: DatabaseParameter

Properties

Application

Name

Parent

Report

Type

Value


DatabaseParameters
Collection: DatabaseParameters

Properties

Application

Count

Item

Parent

Report


DatabaseTable
Object: DatabaseTable

Properties

Application

ConnectBuffer

DescriptiveName

DllName

Fields

Location

LogOnDatabaseName

LogOnServerName

LogOnUserID

Name

Parent

PrivateDataTag

Report

SessionUserID

SubLocation

Type

Methods

GetPrivateData

SetLocationEx

SetLogOnInfo

SetPrivateData

SetSessionInfo

TestConnectivity


DatabaseTables
Collection: DatabaseTables

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


EmbeddedField
Object: EmbeddedField

Properties

Application

End

Field

Font

Format

Parent

Report

Start


EmbeddedFields
Collection: EmbeddedFields

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


EventInfo
Object: EventInfo

Properties

ActivatePrintWindowEventEnabled

Application

ClosePrintWindowEventEnabled

FieldMappingEventEnabled

GroupEventEnabled

Parent

PrintWindowButtonEventEnabled

ReadingRecordEventEnabled

Report

RightMouseClickedEventEnabled

StartStopEventEnabled


ExportOptions
Object: ExportOptions

Properties

Application

CharFieldDelimiter

CharStringDelimiter

DestinationDllName

DestinationType

DiskFileName

ExcelTabHasColumnHeadings

ExchangeDesinationType

ExchangeFolderPath

ExchangePassword

ExchangeProfile

FormatDllName

FormatType

HTMLFileName

MailBccList

MailCcList

MailMessage

MailSubject

MailToList

NumberOfLinesPerPage

ODBCDataSourceName

ODBCDataSourcePassword

ODBCDataSourceUserID

ODBCExportTableName

Parent

Report

UseReportDateFormat

UseReportNumberFormat

Methods

PromptForExportOptions

Reset


FieldFormat
Object: FieldFormat

Properties

AmPmType

AmPmTypeFormula

AmString

AmStringFormula

Application

BooleanOutputType

BooleanOutputTypeFormula

CurrencyPositionType

CurrencyPositionTypeFormula

CurrencySymbol

CurrencySymbolFormula

CurrencySymbolType

CurrencySymbolTypeFormula

DateFirstSeparator

DateFirstSeparatorFormula

DateOrder

DateOrderFormula

DateSecondSeparator

DateSecondSeparatorFormula

DateTimeOrder

DateTimeOrderFormula

DateTimeSeparatorString

DateTimeSeparatorStringFormula

DateWindowsDefaultType

DateWindowsDefaultTypeFormula

DayType

DayTypeFormula

DecimalPlaces

DecimalPlacesFormula

DecimalSymbol

DecimalSymbolFormula

HourMinuteSeparator

HourMinuteSeparatorFormula

HourType

HourTypeFormula

LeadingDaySeparator

LeadingDaySeparatorFormula

LeadingDayType

LeadingDayTypeFormula

MaxNumberOfLines

MinuteSecondSeparator

MinuteSecondSeparatorFormula

MinuteType

MinuteTypeFormula

MonthType

MonthTypeFormula

NegativeType

NegativeTypeFormula

Parent

PmString

PmStringFormula

Report

RoundingType

RoundingTypeFormula

SecondType

SecondTypeFormula

SuppressIfDuplicated

SuppressIfDuplicatedFormula

SuppressIfZero

SuppressIfZeroFormula

ThousandsSeparators

ThousandsSeparatorsFormula

ThousandSymbol

ThousandSymbolFormula

TimeBase

TimeBaseFormula

UseLeadingZero

UseLeadingZeroFormula

UseOneSymbolPerPage

UseOneSymbolPerPageFormula

UseSystemDefaults

YearType

YearTypeFormula


FieldMappingValue
Object: FieldMappingValue

Properties

Application

FieldName

MappingTo

Parent

Report

TableName

ValueType


FieldObject
Object: FieldObject

Properties

Application

Border

Field

FieldFormat

Font

FontColorFormat

Format

Height

Kind

Left

Parent

Report

Top

Width


FieldValue
Object: FieldValue

Properties

Application

Name

Parent

Report

Value


Font
Object: Font

Properties

Application

Color

Italic

Name

Parent

Report

Size

StrikeThrough

Underline

Weight


FormulaFieldDefinition
Object: FormulaFieldDefinition

Properties

Application

FormulaFieldName

Kind

Name

NumberOfBytes

Parent

Report

Text

ValueType

Method

Check


FormulaFieldDefinitions
Collection: FormulaFieldDefinitions

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


GlobalOptions
Object: GlobalOptions

Properties

Application

MatchLogOnInfo

MorePrintEngineErrorMessages

Parent


GraphObject
Object: GraphObject

Properties

Application

Border

ColumnGroupNumber

ConditionField

CrossTabObject

DataFields

DataType

Direction

DisplayType

FontFaceName

FootNote

Format

GroupsTitle

Height

Kind

Left

MaxValue

MinValue

Parent

Report

RowGroupNumber

SeriesTitle

ShowDataValueEnabled

ShowGridLineEnabled

ShowLegendEnabled

ShowVerticalBarEnabled

SubTitle

SummarizedField

Title

Top

VerticalBars

Width

XAxisTitle

YAxisTitle

ZAxisTitle


GroupAreaOptions
Object: GroupAreaOptions

Properties

Application

Condition

ConditionField

DiscardOtherGroups

KeepGroupTogether

NumberOfTopOrBottomGroups

Parent

RepeatGroupHeader

Report

SortDirection

TopOrBottomNGroups


GroupNameFieldDefinition
Object: GroupNameFieldDefinition

Properties

Application

GroupNumber

Kind

Name

NumberOfBytes

Parent

Report

ValueType


LineObject
Object: LineObject

Properties

Application

Bottom

Color

EndSection

Format

Kind

Left

Parent

PrintAtBottomOfSection

Report

Right

Style

Thickness

Top


MapObject
Object: MapObject

Properties

Application

Border

Format

Height

Kind

Left

Parent

Report

Top

Width


ObjectFormat
Object: ObjectFormat

Properties

Application

CanGrow

CanGrowFormula

HorAlignment

HorAlignmentFormula

KeepTogether

KeepTogetherFormula

Parent

Report

SplitAdornment

SplitAdornmentFormula

Visible

VisibleFormula


OLEObject
Object: OLEObject

Properties

Application

Border

Format

Height

Kind

Left

Parent

PictureFormat

Report

Top

Width


Page
Object: Page

Properties

Application

IsLastPage

PageNumber

Parent

Report

Methods

RenderEPF

RenderHTML


PageEngine
Object: PageEngine

Property

ImageOptions

Methods

CreatePageGenerator

RenderTotallerETF

RenderTotallerHTML


PageGenerator
Object: PageGenerator

Properties

Application

ContainingGroupName

ContainingGroupPath

ContainingPageNumber

DrillDownLevel

GroupName

GroupPath

Pages

Parent

Report

ReportName

Xoffset

Yoffset

Methods

CreateSubreportPageGenerator

DrillOnGraph

DrillOnMap

DrillOnSubreport

Export

GetPageNumberForGroup

RenderTotallerETF

RenderTotallerHTML

SearchForText


Pages
Collection: Pages

Properties

Application

Count

Item

Parent

Report


PageSetup
Object: PageSetup

Properties

Application

BottomMargin

LeftMargin

PaperOrientation

PaperSize

Parent

 Report

RightMargin

TopMargin


Paragraph
Object: Paragraph

Properties

Alignment

Application

End

FirstLineIndent

LeftIndent

Parent

Report

RightIndent

Start

TabStops


Paragraphs
Collection: Paragraphs

Properties

Application

Count

Item

Parent

Report


ParameterFieldDefinition
Object: ParameterFieldDefinition

Properties

Application

CurrentValue

CurrentValueSet

DefaultValue

DefaultValueSet

Kind

Name

NeedsCurrentValue

NumberOfBytes

ParameterFieldName

Parent

Prompt

Report

ReportName

ValueType

Methods

SetCurrentValue

SetDefaultValue


ParameterFieldDefinitions
Collection: ParameterFieldDefinitions

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


PictureFormat
Object: PictureFormat

Properties

Application

BottomCropping

LeftCropping

Parent

Report

RightCropping

TopCropping

XScaling

YScaling


PrinterInfo
Object: PrinterInfo

Properties

Application

DriverName

Parent

PortName

PrinterName

Report


PrintingStatus
Object: PrintingStatus

Properties

Application

LatestPageNumber

NumberOfPages

Parent

Progress

RecordsPrinted

RecordsRead

RecordsSelected

Report

StartPageNumber


PrintWindowOptions
Object: PrintWindowOptions

Properties

Application

CanDrillDown

HasCancelButton

HasCloseButton

HasExportButton

HasGroupTree

HasNavigationControls

HasPrintButton

HasPrintSetupButton

HasProgressControls

HasRefreshButton

HasSearchButton

HasZoomControl

Parent

Report

ShowDocumentTips

ShowToolbarTips

TrackCursorInfo


Report
Object: Report

Properties

Application

Areas

Database

DialogParentWindow

EventInfo

ExportOptions

FieldMappingType

FormulaFields

GroupSelectionFormula

GroupSortFields

HasSavedData

LastErrorCode

LastErrorString

NumberOfGroups

Options

PageEngine

PageSetup

ParameterFields

ParameterPromptingEnabled

Parent

PrintDate

PrinterInfo

PrintingStatus

PrintWindowOptions

ProgressDialogEnabled

RecordSelectionFormula

RecordSortFields

ReportSummaryInfo

Sections

SQLQueryString

SummaryFields

Methods

AddGroup

CancelPrinting

ClearError

DeleteGroup

DiscardSavedData

Export

OpenSubreport

Preview

PrintOut

ReadRecords

Save

SelectPrinter

Events

FieldMapping

ReadingRecords

Start

Stop


ReportObjects
Collection: ReportObjects

Properties

Application

Count

Item

Parent

Report


ReportOptions
Object: ReportOptions

Properties

Application

CaseInsensitiveSQLData

ConverDatTimeToDate

ConvertNullFieldToDefault

DoAsyncQuery

GenerateDataForHiddenObject

HasGroupTree

MorePrintEngineErrorMessages

Parent

Report

SaveDataWithReport

SaveSummariesWithReport

TranslateDOSMemos

TranslateDOSStrings

UseIndexforSpeed

VerifyOnEveryPrint

ZoomMode


ReportSummaryInfo
Object: ReportSummaryInfo

Properties

Application

Author

Comments

Keywords

Name

Parent

Report

Subject

Template

Title


Section
Object: Section

Properties

Application

Height

Number

Options

Parent

Report

ReportObjects

Width

Methods

CreateBoxObject

CreateCrossTabObject

CreateDatabaseFieldObject

CreateFormulaFieldObject

CreateGraphObject

CreateGroupNameFieldObject

CreateLineObject

CreateParameterFieldObject

CreatePictureObject

CreateSpecialVarFieldObject

CreateSummaryFieldObject

CreateSubreportObject

CreateTextObject

DeleteReportObject


SectionOptions
Object: SectionOptions

Properties

Application

BackColor

BackColorFormula

FreeFormPlacement

KeepTogether

KeepTogetherFormula

NewPageAfter

NewPageAfterFormula

NewPageBefore

NewPageBeforeFormula

Parent

PrintAtBottomOfPage

PrintAtBottomOfPageFormula

Report

ResetPageNumberAfter

ResetPageNumberAfterFormula

SuppressIfBlank

SuppressIfBlankFormula

UnderlaySection

UnderlaySectionFormula

Visible

VisibleFormula


Sections
Collection: Sections

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


SortField
Object: SortField

Properties

Application

Field

Parent

Report

SortDirection


SortFields
Collection: SortFields

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


SpecialVarFieldDefinition
Object: SpecialVarFieldDefinition

Properties

Application

Kind

Name

NumberOfBytes

Parent

Report

SpecialVarType

ValueType


SubreportObject
Object: SubreportObject

Properties

Application

Border

Format

Height

IsOnDemand

Kind

Left

Links

Name

Parent

Report

Top

Width


SummaryFieldDefinition
Object: SummaryFieldDefinition

Properties

Application

CrossTabObject

FooterArea

ForCrossTab

HeaderArea

Kind

Name

NumberOfBytes

Parent

Report

SummaryType

ValueType


SummaryFieldDefinitions
Collection: SummaryFieldDefinitions

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


TabStop
Object: TabStop

Properties

Alignment

Application

Parent

Position

Report


TabStops
Collection: TabStops

Properties

Application

Count

Item

Parent

Report

Methods

Add

Delete


TextObject
Object: TextObject

Properties

Application

Border

EmbeddedFields

Format

Height

Kind

Left

MaxNumberOfLines

Paragraphs

Parent

Report

Size

SuppressIfDuplicated

TextRange

Top

Width

Methods

DeleteText

InsertText


TextRange
Object: TextRange

Properties

Application

End

Font

Parent

Report

Start


TrackCursorInfo
Object: TrackCursorInfo

Properties

Application

DetailAreaCursor

DetailAreaFieldCursor

GraphCursor

GroupAreaCursor

GroupAreaFieldCursor

Parent

Report


View
Object: View

Properties

Application

DisplayedPageNumber

Parent

Report

Methods

Close

Export

NextMagnification

PrintOut

ShowFirstPage

ShowLastPage

ShowNextPage

ShowNthPage

ShowPreviousPage

ZoomPreviewWindow


Views
Collection: Views

Properties

Application

Count

Item

Parent

Report


Window
Object: Window

Properties

Application

ControlsVisible

Parent

Report

Views

WindowHandle

Method

Close

Events

ActivatePrintWindow

CancelButtonClicked

CloseButtonClicked

ClosePrintWindow

DeactivatePrintWindow

DrillOnDetail

DrillOnGroup

ExportButtonClicked

FirstPageButtonClicked

GroupTreeButtonClicked

LastPageButtonClicked

NextPageButtonClicked

PrevPageButtonClicked

PrintButtonClicked

PrintSetupButtonClicked

RefreshButtonClicked

RightMouseClicked

SearchButtonClicked

ShowGroup

ZoomLevelChanging


ActiveX (OCX / OLE) Control

The following lists the properties and methods that are provided free with ActiveX (OCX/OLE) Control:

Properties

Action

BoundReportFooter

BoundReportHeading

Connect

CopiesToPrinter

DataBindings

DataFiles

DataSource

Destination

DetailCopies

DialogParentHandle

DiscardSavedData

EMailCCList

EMailMessage

EMailSubject

EMailToList

ExchangeFolder

ExchagePassword

ExchageProfile

Formulas

GraphData

GraphOptions

GraphText

GraphType

GridSource

GroupCondition

GroupSelectionFormula

GroupSortFields

index

LastErrorNumber

LastErrorString

LogOnInfo

MarginBottom

MarginLeft

MarginRight

MarginTop

name

Object

ParameterFields

Parent

Password

PrintDay

PrinterCollation

PrinterCopies

PrinterDriver

PrinterName

PrinterPort

PrinterStartPage

PrinterStopPage

PrintFileCharSepQuote

PrintFileCharSepSeparator

PrintFileLinesPerPage

PrintFileName

PrintFileODBCPassword

PrintFileODBCSource

PrintFileODBCTable

PrintFileODBCUser

PrintFileType

PrintFileUseRptDateFmt

PrintFileUseRptNumberFmt

PrintMonth

PrintYear

ProgressDialog

RecordsPrinted

RecordsRead

RecordsSelected

ReportDisplayPage

ReportFileName

ReportLatestPage

ReportSource

ReportStartPage

ReportTitle

SectionFont

SectionFormat

SectionLineHeight

SectionMinHeight

SelectionFormula

SessionHandle

SortFields

SQLQuery

Status

StoredProcParam

SubreportToChange

Tag

UserName

WindowAllowDrillDown

WindowBorderStyle

WindowControlBox

WindowControls

WindowHeight

WindowLeft

WindowMaxButton

WindowMinButton

WindowParentHandle

WindowShowCancelBtn

WindowShowCloseBtn

WindowShowExportBtn

WindowShowGroupTree

WindowShowNavigationCtls

WindowShowPrintBtn

WindowShowPrintSetupBtn

WindowShowProgressCtls

WindowShowRefreshBtn

WindowShowSearchBtn

WindowShowZoomCtl

WindowState

WindowTitle

WindowTop

WindowWidth

Methods

AboutBox

FetchSelectionFormula

GetNSubreports

GetNthSubreportName

LogOffServer

LogOnServer

PageCount

PageFirst

PageLast

PageNext

PagePrevious

PageShow

PageZoom

PageZoomNext

PrinterSelect

PrintReport

ReplaceSelectionFormula

Reset

RetrieveDataFiles

RetrieveLogonInfo

RetrieveSQLQuery

RetrieveStoredProcParams

SpecifyDataSourceField


Delphi VCL Control

The following lists the properties, methods, and events that are provided free with the Delphi VCL Control.

Properties

The following are the single Properties that belong specifically to the TCrpe class:

About

CanCloseEngine

ConnectMethod

CrpePath

DesignControls

DetailCopies

DialogParent

DiscardSavedData

FieldMapping

HasSavedData

IsJobFinished

JobNumber

LastErrorNumber

LastErrorString

LoadEngineOnUse

Output

PrintEnded

ProgressDialog

ReportName

ReportTitle

SendOnExecute

Status

WindowEvents

WindowParent

WindowStyle

The following are the Sub-class Properties that belong specifically to the TCrpe class. Each sub-class also has its own Properties that can be viewed by referencing the UCRPE32.HLP.

AreaFormat

AreaFormatFormulas

Connect

Export

Expressions

Formulas

GraphAxis

GraphData

GraphOptionInfo

GraphOptions

GraphText

GraphType

GroupCondition

GroupOptions

GroupSelection

GroupSortFields

Log

LogOnInfo

LogOnServer

Margins

Pages

ParamFields

PrintDate

Printer

PrintOptions

Records

ReportOptions

SectionFont

SectionFormat

SectionFormatFormulas

SectionHeight

Selection

SessionInfo

SortFields

SQL

Subreports

SummaryInfo

Tables

Version

WindowButtonBar

WindowCursor

WindowSize

WindowState

WindowZoom

Methods

The following lists the Methods that belong specifically to the TCrpe class. Each sub-class also has its own methods that can be viewed by referencing the UCRPE32.HLP file and looking up that particular sub-class.

CancelJob

Clear

CloseEngine

CloseJob

CloseWindow

CopyFrom

Create

Destroy

DiscardData

Execute

ExportWindow

Focused

HideWindow

LogOnPrivateInfo

OpenEngine

OpenJob

PrintWindow

ReportWindowHandle

RetrieveDetailCopies

RetrieveFieldMapping

RetrieveReportTitle

RetrieveWindowState

SendDetailCopies

SendDialogParent

SendDiscardSavedData

SendFieldMapping

SendOutput

SendProgressDialog

SendReportTitle

SetFocus

ShowWindow

VerifyDatabase

Events

Regular Events

OnCreate

OnError

OnExecuteBegin

OnExecuteDoneSend

OnExecuteEnd

OnFieldMapping

OnGetVersion

OnJobOpened

OnPrintEnded

OnPrinterSend

OnWindowClose

Window Events

There are 23 Preview Window callback events, prefixed with "w" (for Window Events). These are activated when the WindowEvents property is set to True. These events allow a Delphi application to respond to actions that take place on the Preview Window, such as button clicks and drill-down events.

wOnActivateWindow

wOnCancelBtnClick

wOnCloseBtnClick

wOnCloseWindow

wOnDeActivateWindow

wOnDrillDetail

wOnDrillGroup

wOnExportBtnClick

wOnFirstPageBtnClick

wOnGroupTreeBtnClick

wOnLastPageBtnClick

wOnNextPageBtnClick

wOnPreviousPageBtnClick

wOnPrintBtnClick

wOnPrintSetupBtnClick

wOnReadingRecords

wOnRefreshBtnClick

wOnMouseClick

wOnSearchBtnClick

wOnShowGroup

wOnStartEvent

wOnStopEvent

wOnZoomLevelChange

NOTE: Window Events are only available with Seagate Crystal Reports 6 or higher. The wOnMouseClick event is only available with SCR 7 or higher.


Runtime File Use Restrictions

New report creation functionality has been added to the Report Designer Component (RDC), available in the Developer Edition of Seagate Crystal Reports 8. It enables developers to build applications that create new reports or modify existing reports dynamically at runtime. Before distributing applications that include this report creation functionality, developers must acquire a runtime license and pay a runtime license fee. Runtime licenses can be purchased from Seagate Software directly, via the Seagate Software Store, telesales and OEM sales.

 Click the following object / collection list to view the properties and methods supporting this functionality.

Application

CrossTabGroup

CrossTabGroups

CrossTabObject

Database

DatabaseTables

FieldDefinitions

FormulaFieldDefinitions

GraphObject

ObjectSummaryFieldDefinitions

ParameterFieldDefinitions

Report

ReportAlert

ReportAlertInstance

ReportAlertInstances

ReportAlerts

RunningTotalFieldDefinition

RunningTotalFieldDefinitions

Section

Sections

SQLExpressionFieldDefinitions

SubreportLink

SubreportLinks

SubreportObject

SummaryFieldDefinition

SummaryFieldDefinitions

TableLinks

NOTES:

•	Developers must buy the RC API runtime license and pay a runtime license fee to distribute CRAXDRT.DLL only when the properties and methods listed above are used. If none of the above properties and methods are used, developers may distribute CRAXDRT.DLL for free.

•	Developers must acquire and pay for a runtime license whenever the Report (CRYSTALWIZARD.DLL) or Embeddable Designer Control (CRDESIGNERCTL.DLL) is distributed, regardless of whether or not any of the properties/methods listed above are used.


Object: Area

Property

SpecifiedGroups


Application
Object: Application

Method

NewReport


Object: CrossTabGroup

Properties

BackColor

Condition

EnableSuppressLabel

EnableSuppressSubtotal

Field

SortDirection

SpecifiedGroups


Collection: CrossTabGroups

Methods

Add

Delete


Object: CrossTabObject

Properties

ColumnGrandTotalColor

ColumnGroups

EnableKeepColumnsTogether

EnableRepeatRowLabels

EnableShowCellMargins

EnableShowGrid

EnableSuppressColumnGrandTotals

EnableSuppressEmptyColumns

EnableSuppressEmptyRows

EnableSuppressRowGrandTotals

RowGrandTotalColor

RowGroups

SummaryFields


Object: Database

Property

Links

Method

ConvertDataBaseDriver


Collection: DatabaseTables

Methods

Add

Delete

Method

AddStoredProcedure


Collection: FieldDefinitions

Methods

Add

Delete


Collection: FormulaFieldDefinitions

Methods

Add

Delete


Object: GraphObject

Properties

ConditionFields

CrossTabObject

EnableForEachRecord

EnableSummarizeValues

SpecifiedGroups

SummaryFields


Collection: ObjectSummaryFieldDefinitions

Methods

Add

Delete


Collection: ParameterFieldDefinitions

Methods

Add

Delete


Object: Report

Property

ReportAlerts

Method

DeleteGroup

Event

FieldMapping


Object: ReportAlert

Properties

AlertInstances

ConditionFormula

Defaultmessage

IsEnabled

MessageFormula

Name

Parent


Object: ReportAlertInstance

Properties

AlertMessage

Parent


Collection: ReportAlertInstances

Properties

Count

Item

Parent


Collection: ReportAlerts

Properties

Count

Item

Methods

Add

Delete


Object: RunningTotalFieldDefinition

Properties

EvaluateCondition

EvaluateConditionField

EvaluateConditionFormula

EvaluateGroupNumber

HierarchicalSummaryType

ResetCondition

ResetConditionField

ResetConditionFormula

ResetGroupNumber

SecondarySummarizedField

SummarizedField

SummaryOperationParameter

SummaryType

Methods

SetEvaluateConditionField

SetNoEvaluateCondition

SetNoResetCondition

SetResetConditionField

SetSecondarySummarizedField

SetSummarizedField


Collection: RunningTotalFieldDefinitions

Methods

Add

Delete


Object: Section

Methods

AddBlobFieldObject

AddBoxObject

AddCrossTabObject

AddFieldObject

AddGraphObject

AddLineObject

AddPictureObject

AddSpecialVarFieldObject

AddSubreportObject

AddSummaryFieldObject

AddTextObject

AddUnboundFieldObject

DeleteObject

ImportSubreport


Collection: Sections

Methods

Add

Delete


Collection: SQLExpressionFieldDefinitions

Methods

Add

Delete


Object: SubreportLink

Properties

MainReportField

Parent

SubreportField


Collection: SubreportLinks

Methods

Add

Delete


Object: SubreportObject

Property

Links

Method

ReImportSubreport


Object: SummaryFieldDefinition

Methods

HierarchicalSummaryType

SetSecondarySummarizedField

SetSummarizedField


Collection: SummaryFieldDefinitions

Methods

Add

Delete


Collection: TableLinks

Methods

Add

Delete


Server Software Licensing

Your Crystal Reports Developer Edition contains new features and enhancements that provide a great deal more flexibility and power for developing and delivering server-based reporting applications. These include runtime components for the creation of ASP or other server-based reporting applications and greatly enhanced performance and scalability. The licensing for delivering server applications using these features was changed with the initial release of version 8 and continues to apply today. Please review the contents of this help file and the license agreement for all details of your specific server-based reporting requirements. For more information, you may also contact Seagate Software or visit: www.seagatesoftware.com/products/crystalreports.

If, instead of using the new copy of Crystal Enterprise Standard included in your purchase, you prefer to create a server-based (Web or Windows) application using ASP or other distributed technology and embed Crystal Reports runtime files in order to allow users to connect to the Server software directly or indirectly to run, view, edit, and use report files, the resulting server application may be redistributed under the terms of your license agreement.

NOTE: Crystal Enterprise Standard does not include redistribution rights.

For more information on licensing, please contact Seagate Software or go to www.seagatesoftware.com/products/crystalreports/license.

Server Software Files and Services

Server Applications - Concurrent User Authorization

Server Applications - Distribution

Crystal Broadcast Licensing


Server Software Files and Services

Distributable runtime files that may be used to create server software, under the restrictions in the License Agreement, are:

•	RPTSERVER.ASP

•	CRPE32.DLL

•	CRAXDRT.DLL

•	CRAXDDRT.DLL


Server Applications - Concurrent User Authorization

The Developer Edition of Crystal Reports includes rights to create and use server applications using ASP or other distributed technology, with up to five (5) concurrent users only. If you require more than 5 concurrent users to connect to your server application, please contact Seagate Software directly to purchase additional Server Software Access Licenses.


Server Applications - Distribution

The Developer Edition of Crystal Reports includes distribution rights for a number of runtime files when used as server applications, to any number of organizations, for up to 5 concurrent users per application per organization. Users of such applications that require more than 5 concurrent users will need to contact Seagate Software to obtain additional Server Software Access Licenses.


Enterprise Broadcast Licensing
Crystal Broadcast Licensing

Seagate Software has continued to make Crystal Reports more powerful and easier to use as a complete reporting engine for accessing, analyzing and distributing database information across organizations. The licensing for the product has changed to recognize this extensive power and value being delivered in the current product. In addition to use of Runtime Software as described earlier in this section, where users connect directly or indirectly to Crystal Reports software, customers often need to create Report Distribution Systems that create, process and deliver information using Crystal Reports.

A complete, detailed definition of a "Report Distribution System" is provided in the License Agreement.

If you create a report distribution system under the terms in the license agreement, you are required to obtain additional licensing from Seagate Software. Such licensing is referred to as Crystal Broadcast Licensing and is based on the number of users accessing reports served up by the report distribution system. Please contact Seagate Software or visit http://www.seagatesoftware.com/products/crystalreports/ for more details on the terms and benefits of this extended licensing model.


The All Keycodes column shows the total number of licenses (corresponding to each License Type) that have been purchased for the product category specified in the Product drop-down list.


Click this button to view the number of concurrent users currently connected to the RDC run time through the ASP server. (This information will be displayed in your web browser.)